Bug 1562344 - Unneeded/wrong repository used in the sahara-image-elements script for RHEL image
Summary: Unneeded/wrong repository used in the sahara-image-elements script for RHEL i...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: sahara-image-elements
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: beta
: 13.0 (Queens)
Assignee: Telles Nobrega
QA Contact: Luigi Toscano
URL:
Whiteboard:
Depends On:
Blocks: 1562346
TreeView+ depends on / blocked
 
Reported: 2018-03-30 09:30 UTC by Luigi Toscano
Modified: 2018-06-27 13:50 UTC (History)
2 users (show)

Fixed In Version: sahara-image-elements-8.0.1-0.20180316135144.c235e1e.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1562346 (view as bug list)
Environment:
Last Closed: 2018-06-27 13:49:35 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2018:2086 None None None 2018-06-27 13:50:27 UTC

Description Luigi Toscano 2018-03-30 09:30:05 UTC
Description of problem:
The build script sahara-image-elements register the images to few repositories. One of those seems to be not needed anymore from 12 onwards, and when available it causes issues because one of the packages (openstack-selinux) depends on an additional package which is in a available only in rhel-7-server-extras-rpms.
On the other side, openstack-selinux is not needed on the hadoop images (it is skipped if not available), so instead of adding rhel-7-server-extras-rpms, I would remove rhel-7-server-openstack-11-rpms from diskimage-create.sh
(and probably make it possible to override REG_REPOS).

Version-Release number of selected component (if applicable):
sahara-image-elements-8.0.1-0.20180316135143.c235e1e.el7ost.noarch.rpm  

Workaround:
sed -i 's/ rhel-7-server-openstack-11-rpms//' /usr/bin/diskimage-create.sh

Comment 3 Luigi Toscano 2018-04-24 16:19:25 UTC
The repository is not required anymore.

Tested with:
sahara-image-elements-8.0.1-0.20180316135144.c235e1e

Comment 5 errata-xmlrpc 2018-06-27 13:49:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2086


Note You need to log in before you can comment on or make changes to this bug.